libunibreak 4.3

Data Structures | Enumerations
graphemebreakdef.h File Reference
`#include "unibreakdef.h"`
Include dependency graph for graphemebreakdef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | GraphemeBreakProperties
| Struct for entries of grapheme break properties. More...

## Enumerations
enum | GraphemeBreakClass { GBP_CR, GBP_LF, GBP_Control, GBP_Virama, GBP_LinkingConsonant, GBP_Extend, GBP_ZWJ, GBP_Regional_Indicator, GBP_Prepend, GBP_SpacingMark, GBP_L, GBP_V, GBP_T, GBP_LV, GBP_LVT, GBP_Other, GBP_Undefined }
| Word break classes. More...

## Detailed Description

Definitions of internal data structures, declarations of global variables, and function prototypes for the grapheme breaking algorithm.

Author
  Andreas Röver

## Enumeration Type Documentation

## ◆ GraphemeBreakClass

enum GraphemeBreakClass

Word break classes.

This is a direct mapping of Table 2 of Unicode Standard Annex 29.

Enumerator
GBP_CR |
GBP_LF |
GBP_Control |
GBP_Virama |
GBP_LinkingConsonant |
GBP_Extend |
GBP_ZWJ |
GBP_Regional_Indicator |
GBP_Prepend |
GBP_SpacingMark |
GBP_L |
GBP_V |
GBP_T |
GBP_LV |
GBP_LVT |
GBP_Other |
GBP_Undefined |